Name: keyd
Version: 2.5.0
Release: %autorelease
Summary: A key remapper for the Linux

License: MIT
URL: https://github.com/rvaiya/%{name}
Source: %{url}/archive/refs/tags/v%{version}.tar.gz
Patch1: 0001-make-clean-up.patch
Patch2: 0002-make-sysusers.d-file.patch
Patch3: 0003-make-install-dump-xkb-config-script.patch
Patch4: 0004-make-install-LICENSE-and-README.md.patch
Patch5: 0005-make-allow-force-install-systemd.patch

BuildRequires: gcc-c++
BuildRequires: kernel-headers
BuildRequires: systemd-rpm-macros

%description
Linux lacks a good key remapping solution. In order to achieve satisfactory
results a medley of tools need to be employed (e.g xcape, xmodmap) with the
end result often being tethered to a specified environment (X11). keyd
attempts to solve this problem by providing a flexible system wide daemon
which remaps keys using kernel level input primitives (evdev, uinput).

%prep
%autosetup -p1

%build
%make_build PREFIX=%{_prefix} COMMIT=tag

%install
%make_install PREFIX=%{_prefix} FORCE_SYSTEMD=1

%check
[[ $(bin/keyd --version) = "keyd v%{version} (tag)" ]]

%files
%{_bindir}/%{name}
%{_bindir}/%{name}-application-mapper
%{_docdir}/%{name}
%{_datadir}/%{name}

%{_unitdir}/%{name}.service
%{_sysusersdir}/%{name}.conf

%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/%{name}-application-mapper.1.gz
%license LICENSE

%changelog
%autochangelog
